# Class CodonChangeMnp

java.lang.Object
org.snpeff.interval.codonChange.CodonChange
org.snpeff.interval.codonChange.CodonChangeMnp

Direct Known Subclasses:
  `CodonChangeMixed`

public class CodonChangeMnp extends CodonChange
Calculate codon changes produced by a MNP

Author:
  pcingola

## Field Summary

### Fields inherited from class CodonChange

`CODON_SIZE, showCodonChange`

## Constructor Summary

Constructors
Constructor
Description
`CodonChangeMnp(Variant variant, Transcript transcript, VariantEffects variantEffects)`

## Method Summary

Modifier and Type
Method
Description
`void`
`codonChange()`
Calculate a list of codon changes
`protected void`
`codonOldNew()`
Calculate codons old / codons new
`protected String`
`codonsAlt()`
Calculate new codons
`protected String`
`codonsRef()`
Calculate old codons
`protected String`
`netCdsChange()`
We may have to calculate 'netCdsChange', which is the effect on the CDS Note: A deletion or a MNP might affect several exons

### Methods inherited from class CodonChange

`additionalEffect, cdsBaseNumber, codonChange, codonsRef, effect, effectNoCodon, effectNoCodon, factory, intersectsExons, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CodonChangeMnp

public CodonChangeMnp(Variant variant, Transcript transcript, VariantEffects variantEffects)

## Method Details

### codonChange

public void codonChange()
Calculate a list of codon changes

Overrides:
  `codonChange` in class `CodonChange`

### codonOldNew

protected void codonOldNew()
Calculate codons old / codons new

### codonsAlt

protected String codonsAlt()
Description copied from class: `CodonChange`
Calculate new codons

Overrides:
  `codonsAlt` in class `CodonChange`

### codonsRef

protected String codonsRef()
Calculate old codons

Overrides:
  `codonsRef` in class `CodonChange`

### netCdsChange

protected String netCdsChange()
We may have to calculate 'netCdsChange', which is the effect on the CDS Note: A deletion or a MNP might affect several exons

Overrides:
  `netCdsChange` in class `CodonChange`
Returns: